Subject: Re: aout LKMs and ELF Kernels
To: Ryan M. Hurst <>
From: Todd Vierling <>
List: current-users
Date: 05/26/2000 00:12:22
On Thu, 25 May 2000, Ryan M. Hurst wrote:

: > Is the lkm for 1.4.x ? If so you may have other issues than the binary format
: > to load it (internal kernel structs may have changed, etc ...).

: Hi Manual, they say it is for 1.4.2, do you know if the changes were in at that
: point?

1.4.2 LKMs will not work with -current.  NetBSD-current is a lot closer to
the as yet unreleased 1.5 then 1.4.anything, and the kernels are not binary
compatible in any way.

-- Todd Vierling (